<?php
/*********************/
/*                   */
/*  Version : 5.1.0  */
/*  Author  : RM     */
/*  Comment : 071223 */
/*                   */
/*********************/

class sqlclass
{

    var $sql_login;
    var $sql_host;
    var $sql_pass;
    var $conexao;
    var $database;
    var $rec;
    var $row;
    var $result;
    var $md5;

    function connect( $db_name = "Thomaz_" )
    {
        include( "modules/configuracoes.php" );
        $this->md5 = $config['md5'];
        $this->sql_login = $sql['usuario'];
        $this->sql_host = $sql['ip'];
        $this->sql_pass = $sql['senha'];
        $db_name = $sql['db'];
        $conn = false;
        $this->conexao = @mssql_connect( $this->sql_host, $this->sql_login, $this->sql_pass );
        if ( $this->conexao )
        {
            $conn = true;
        }
        else
        {
            $conn = false;
        }
        if ( $conn == true )
        {
            $this->database = @mssql_select_db( $db_name, $this->conexao );
            if ( $this->database )
            {
                return true;
            }
            return false;
        }
        return false;
    }

    function query( $query )
    {
        $recordset = mssql_query( $query, $this->conexao );
        if ( $recordset )
        {
            $this->rec = $recordset;
            return true;
        }
        $this->rec = 0;
        return false;
    }

    function row( )
    {
        $verify = @mssql_fetch_row( $this->rec );
        if ( $verify )
        {
            $this->result = $verify;
            return $this->result;
        }
        return false;
    }

    function rowcount( )
    {
        return mssql_num_rows( $this->rec );
    }

    function lastmsg( )
    {
        return mssql_get_last_message( );
    }

    function verificalogin( $conta, $acao = "1" )
    {
        $this->query( "SELECT * FROM MEMB_INFO WHERE memb___id='".$conta."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Login não está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( 1 <= $this->rowcount( ) )
            {
                exit( "<script>alert('Login já está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificasenha( $conta, $senha, $acao = "1" )
    {
        if ( $this->md5 == 0 )
        {
            $this->query( "SELECT * FROM MEMB_INFO WHERE memb___id='".$conta."' AND memb__pwd='".$senha."'" );
        }
        if ( $this->md5 == 1 )
        {
            $this->query( "Exec ChecaSenha '".$senha."', '".$conta."'" );
        }
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Senha incorreta. Volte e tente novamente.'); location = 'index.php';</script>" );
            }
            return true;
        }
    }

    function verificachar( $char, $acao = "1" )
    {
        $this->query( "SELECT * FROM Character WHERE Name='".$char."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Char não está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( 1 <= $this->rowcount( ) )
            {
                exit( "<script>alert('Char já está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaguild( $guild, $acao = "1" )
    {
        $this->query( "SELECT * FROM Guild WHERE G_Name='".$guild."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Guild não está cadastrada no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( 1 <= $this->rowcount( ) )
            {
                exit( "<script>alert('Guild já está cadastrada no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificavip( $conta, $acao = "1" )
    {
        $this->query( "EXEC Site_VerificaVip '".$conta."'" );
        $vip = $this->row( );
        if ( $acao == 1 )
        {
            if ( $vip[0] == 0 )
            {
                exit( "<script>alert('Essa conta não é vip'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            return $vip[0];
        }
    }

    function verificagold( $conta, $acao = "1", $valor = "" )
    {
        $this->query( "EXEC Site_VerificaGolds '".$conta."'" );
        $gold = $this->row( );
        if ( $acao == 1 )
        {
            if ( $gold[0] == 0 )
            {
                exit( "<script>alert('Essa conta não tem gold.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            return $gold[0];
        }
        if ( $acao == 3 )
        {
            if ( $gold[0] < $valor )
            {
                exit( "<script>alert('Essa conta tem apenas ".$gold[0]." golds.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificacreditolanhouse( $conta, $acao = "1", $valor = "" )
    {
        $this->query( "EXEC Site_VerificaCredito '".$conta."'" );
        $credito = $this->row( );
        if ( $acao == 1 )
        {
            if ( $credito[0] == 0 )
            {
                exit( "<script>alert('Essa conta não tem credito.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            return $credito[0];
        }
        if ( $acao == 3 )
        {
            if ( $credito[0] < $valor )
            {
                exit( "<script>alert('Essa conta tem apenas ".$credito[0]." golds.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaonline( $conta, $acao = "1" )
    {
        $this->query( "SELECT ConnectStat FROM MEMB_STAT WHERE memb___id='".$conta."'" );
        $stat = $this->row( );
        if ( $acao == 1 )
        {
            if ( $stat[0] == 1 )
            {
                exit( "<script>alert('Essa conta deve está desconectada.'); 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( $stat[0] == 1 )
            {
                return "<font color=\"green\">Online</font>";
            }
            if ( $stat[0] == 0 )
            {
                return "<font color=\"red\">Offline</font>";
            }
        }
    }

    function verificaadm( $conta, $acao = "1" )
    {
        $this->query( "SELECT Level FROM MEMB_INFO WHERE memb___id='".$conta."'" );
        $stat = $this->row( );
        if ( $acao == 1 )
        {
            if ( $stat[0] < 1 )
            {
                exit( "<script>alert('Essa conta não autorização para acessar essa area.'); 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( $stat[0] == 1 )
            {
                return "GameMaster";
            }
            if ( $stat[0] == 2 )
            {
                return "Administrador";
            }
        }
    }

    function verificacontabanida( $conta, $acao = "1" )
    {
        $this->query( "EXEC Site_VerificaBanida '".$conta."'" );
        $ban = $this->row( );
        if ( $acao == 1 )
        {
            if ( $ban[0] == 1 )
            {
                exit( "<script>alert('Essa essa conta já está banida.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( $ban[0] == 0 )
            {
                exit( "<script>alert('Essa essa conta não está banida.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificacharbanido( $char, $acao = "1" )
    {
        $this->query( "EXEC Site_VerificaBanido '".$char."'" );
        $ban = $this->row( );
        if ( $acao == 1 )
        {
            if ( $ban[0] == 1 )
            {
                exit( "<script>alert('Essa char já está banido.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( $ban[0] != 1 )
            {
                exit( "<script>alert('Essa char não está banido.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaemail( $email, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_CADASTRO WHERE Email='".$email."'" );
        $result = $this->rowcount( );
        if ( $acao == 1 )
        {
            if ( 1 <= $result )
            {
                exit( "<script>alert('Email já está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificanovochar( $conta )
    {
        $this->query( "SELECT Name FROM Character WHERE Name='".$conta."'" );
        if ( 5 < $this->rowcount( ) )
        {
            exit( "<script>alert('Essa conta já tem 5 chars.'); location = 'javascript:history.back(1);';</script>" );
        }
        return true;
    }

    function verificanovaguild( $char )
    {
        $this->query( "SELECT G_Name FROM GuildMember WHERE Name='".$char."'" );
        if ( 1 <= $this->rowcount( ) )
        {
            exit( "<script>alert('Esse char já está em uma guild.'); location = 'javascript:history.back(1);';</script>" );
        }
        return true;
    }

    function verificacontalanhouse( $conta, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_LANHOUSE WHERE Login='".$conta."'" );
        if ( $acao == 1 )
        {
            if ( 1 <= $this->rowcount( ) )
            {
                exit( "<script>alert('Conta já está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Conta não está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaemaillanhouse( $email, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_LANHOUSE WHERE Email='".$email."'" );
        if ( $acao == 1 )
        {
            if ( 1 <= $this->rowcount( ) )
            {
                exit( "<script>alert('Email já está cadastrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaidpedidos( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_PEDIDOS WHERE Id='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'index.php?page=pedido&action=pendentes';</script>" );
            }
            return true;
        }
    }

    function verificaiddownload( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_DOWNLOAD WHERE Id='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaidvideo( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_VIDEO WHERE Id='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaidlanhouse( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_LANHOUSE WHERE Id='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaidshop( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_SHOPITEM WHERE Id='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaidnoticia( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_NOTICIA WHERE Numero='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaidleilao( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_LEILAO WHERE Numero='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificalance( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_LEILAO WHERE Numero='".$id."' AND Lances > '0'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Essa leilao não tem lances.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function verificaidlance( $leilaoid, $lanceid )
    {
        $this->query( "SELECT * FROM SITE_LEILAOLANCE WHERE LeilaoID='".$leilaoid."' AND Numero='".$lanceid."'" );
        if ( $this->rowcount( ) == 0 )
        {
            exit( "<script>alert('Essa lance não existe.'); location = 'javascript:history.back(1);';</script>" );
        }
        return true;
    }

    function codificatexto( $texto )
    {
        if ( get_magic_quotes_gpc( ) )
        {
            $nTexto = htmlspecialchars( stripslashes( $texto ) );
            return $nTexto;
        }
        $nTexto = htmlspecialchars( $texto );
        return $nTexto;
    }

    function descodificatexto( $texto )
    {
        return html_entity_decode( $texto );
    }

    function verificaidscreen( $id, $acao = "1" )
    {
        $this->query( "SELECT * FROM SITE_SCREEN WHERE Id='".$id."'" );
        if ( $acao == 1 )
        {
            if ( $this->rowcount( ) == 0 )
            {
                exit( "<script>alert('Id não cadatrado no nosso banco de dados.'); location = 'javascript:history.back(1);';</script>" );
            }
            return true;
        }
    }

    function mostrarclasse( $char )
    {
        $this->query( "SELECT Class FROM Character WHERE Name='".$char."'" );
        $classecc = $this->row( );
        switch ( $classecc[0] )
        {
        case 0 :
            $retorno = "Dark Wizard";
            break;
        case 1 :
            $retorno = "Soul Master";
            break;
        case 16 :
            $retorno = "Dark Knight";
            break;
        case 17 :
            $retorno = "Blade Knight";
            break;
        case 32 :
            $retorno = "Fairy Elf";
            break;
        case 33 :
            $retorno = "Muse Elf";
            break;
        case 48 :
            $retorno = "Magic Gladiator";
            break;
        case 64 :
            $retorno = "Dark Lord";
        }
        return $retorno;
    }

    function executaadicionarvip( $conta, $tempo, $tipo )
    {
        $this->query( "EXEC Site_AdicionarVip '".$conta."', '".$tempo."', '".$tipo."'" );
        exit( "<script>alert('Vip adicionado com sucesso.'); location = 'index.php';</script>" );
    }

    function executaalterarvip( $conta, $tempo, $tipo )
    {
        $this->query( "EXEC Site_AlterarVip '".$conta."', '".$tempo."', '".$tipo."'" );
        exit( "<script>alert('Vip alterado com sucesso.'); location = 'index.php';</script>" );
    }

    function executaremovervip( $conta )
    {
        $this->query( "EXEC Site_RemoverVip '".$conta."'" );
        exit( "<script>alert('Vip removido com sucesso.'); location = 'index.php';</script>" );
    }

    function executaadicionargold( $conta, $valor )
    {
        $this->query( "EXEC Site_AdicionarGolds '".$conta."', '".$valor."'" );
        exit( "<script>alert('Gold adicionado com sucesso.'); location = 'index.php';</script>" );
    }

    function executaalterargold( $conta, $valor )
    {
        $this->query( "EXEC Site_AlterarGolds '".$conta."', '".$valor."'" );
        exit( "<script>alert('Gold alterado com sucesso.'); location = 'index.php';</script>" );
    }

    function executaremovergold( $conta, $valor )
    {
        if ( $valor == 0 )
        {
            $valor = $this->verificagold( $conta, 2 );
        }
        $this->query( "EXEC Site_RemoverGolds '".$conta."', '".$valor."'" );
        exit( "<script>alert('Gold removido com sucesso.'); location = 'index.php';</script>" );
    }

    function executaadicionarconta( $nome, $endereco, $numero, $cidade, $estado, $cep, $telefone, $email, $conta, $senha )
    {
        $this->query( "EXEC Site_AdicionarConta '".$nome."', '".$endereco."', '".$numero."', '".$cidade."', '".$estado."', '".$cep."', '".$telefone."', '".$email."', '".$conta."', '".$senha."'" );
        exit( "<script>alert('Conta adicionada com sucesso.'); location = 'index.php';</script>" );
    }

    function executabanirconta( $conta, $motivo, $tempo, $autor )
    {
        $this->query( "EXEC Site_BanirConta '".$conta."', '".$motivo."', '".$autor."', '".$tempo."'" );
        exit( "<script>alert('Conta banida com sucesso.'); location = 'index.php';</script>" );
    }

    function executadesbanirconta( $conta )
    {
        $this->query( "EXEC Site_DesbanirConta '".$conta."'" );
        exit( "<script>alert('Conta desbanida com sucesso.'); location = 'index.php';</script>" );
    }

    function executaremoverconta( $conta )
    {
        $this->query( "EXEC Site_RemoverConta '".$conta."'" );
        exit( "<script>alert('Conta removida com sucesso.'); location = 'index.php';</script>" );
    }

    function executaalterarconta( $nome, $endereco, $numero, $cidade, $estado, $cep, $telefone, $email, $conta, $senha )
    {
        $this->query( "EXEC Site_AlterarConta '".$nome."', '".$endereco."', '".$numero."', '".$cidade."', '".$estado."', '".$cep."', '".$telefone."', '".$email."', '".$conta."', '".$senha."'" );
        exit( "<script>alert('Conta alterada com sucesso.'); location = 'index.php';</script>" );
    }

    function executaadicionarchar( $conta, $char, $classe )
    {
        $this->query( "EXEC Site_AdicionarChar '".$conta."', '".$char."', '".$classe."'" );
        exit( "<script>alert('Char adicionado com sucesso.'); location = 'index.php';</script>" );
    }

    function executabanirchar( $char, $motivo, $tempo, $autor )
    {
        $this->query( "EXEC Site_BanirChar '".$char."', '".$motivo."', '".$autor."', '".$tempo."'" );
        exit( "<script>alert('Char banido com sucesso.'); location = 'index.php';</script>" );
    }

    function executadesbanirchar( $char )
    {
        $this->query( "EXEC Site_DesbanirChar '".$char."'" );
        exit( "<script>alert('Char desbanido com sucesso.'); location = 'index.php';</script>" );
    }

    function executaremoverchar( $char )
    {
        $this->query( "EXEC Site_RemoverChar '".$char."'" );
        exit( "<script>alert('Char removido com sucesso.'); location = 'index.php';</script>" );
    }

    function executaalterarchar( $char, $level, $ponto, $reset, $resetao, $forca, $agilidade, $vida, $energia, $zen, $classe, $morte, $status )
    {
        $this->query( "EXEC Site_AlterarChar '".$char."', '".$level."', '".$ponto."', '".$reset."', '".$resetao."', '".$forca."', '".$agilidade."', '".$vida."', '".$energia."', '".$zen."', '".$classe."', '".$morte."', '".$status."'" );
        exit( "<script>alert('Char alterado com sucesso.'); location = 'index.php';</script>" );
    }

    function executaaceitarpedido( $id )
    {
        $this->query( "EXEC Site_AceitarPedidos '".$id."'" );
        exit( "<script>alert('Pedido aceito com sucesso.'); location = 'index.php?page=pedido&action=pendentes';</script>" );
    }

    function executarecusarpedido( $id )
    {
        $this->query( "EXEC Site_RecusarPedidos '".$id."'" );
        exit( "<script>alert('Pedido recusado com sucesso.'); location = 'index.php?page=pedido&action=pendentes';</script>" );
    }

    function executaadicionardownload( $descricao, $link, $tamanho, $autor )
    {
        $this->query( "EXEC Site_AdicionarDownload '".$descricao."', '".$link."', '".$tamanho."', '".$autor."'" );
        exit( "<script>alert('Download adicionado com sucesso.'); location = 'index.php?page=downloads';</script>" );
    }

    function executaalterardownload( $id, $descricao, $link, $tamanho, $downloads, $autor )
    {
        $this->query( "EXEC Site_AlterarDownload '".$id."', '".$descricao."', '".$link."', '".$tamanho."', '".$downloads."', '".$autor."'" );
        exit( "<script>alert('Download alterado com sucesso.'); location = 'index.php?page=downloads';</script>" );
    }

    function executaremoverdownload( $id )
    {
        $this->query( "EXEC Site_RemoverDownload '".$id."'" );
        exit( "<script>alert('Download removido com sucesso.'); location = 'index.php?page=downloads';</script>" );
    }

    function executaadicionarvideo( $descricao, $link, $autor )
    {
        $idv = substr( $link, -11 );
        $flash = $this->codificatexto( "<object width=\"425\" height=\"350\"><param name=\"movie\" value=\"http://www.youtube.com/v/".$idv."\"></param><param name=\"wmode\" value=\"transparent\"></param><embed src=\"http://www.youtube.com/v/".$idv."\" type=\"application/x-shockwave-flash\" wmode=\"transparent\" width=\"425\" height=\"350\"></embed></object>" );
        $this->query( "EXEC Site_AdicionarVideo '".$descricao."', '".$link."', '".$flash."', '".$autor."'" );
        exit( "<script>alert('Video adicionado com sucesso.'); location = 'index.php?page=video';</script>" );
    }

    function executaalterarvideo( $id, $descricao, $link, $autor )
    {
        $idv = substr( $link, -11 );
        $flash = $this->codificatexto( "<object width=\"425\" height=\"350\"><param name=\"movie\" value=\"http://www.youtube.com/v/".$idv."\"></param><param name=\"wmode\" value=\"transparent\"></param><embed src=\"http://www.youtube.com/v/".$idv."\" type=\"application/x-shockwave-flash\" wmode=\"transparent\" width=\"425\" height=\"350\"></embed></object>" );
        $this->query( "EXEC Site_AlterarVideo '".$id."', '".$descricao."', '".$link."', '".$flash."', '".$autor."'" );
        exit( "<script>alert('Video alterado com sucesso.'); location = 'index.php?page=video';</script>" );
    }

    function executaremovervideo( $id )
    {
        $this->query( "EXEC Site_RemoverVideo '".$id."'" );
        exit( "<script>alert('Video removido com sucesso.'); location = 'index.php?page=video';</script>" );
    }

    function executaadicionarscreen( $descricao, $link, $autor )
    {
        $this->query( "EXEC Site_AdicionarScreenshot '".$descricao."', '".$link."', '".$autor."'" );
        exit( "<script>alert('Screenshot adicionada com sucesso.'); location = 'index.php?page=screenshot';</script>" );
    }

    function executaalterarscreen( $id, $descricao, $link, $autor )
    {
        $this->query( "EXEC Site_AlterarScreenshot '".$id."', '".$descricao."', '".$link."', '".$autor."'" );
        exit( "<script>alert('Screenshot alterada com sucesso.'); location = 'index.php?page=screenshot';</script>" );
    }

    function executaremoverscreen( $id )
    {
        $this->query( "EXEC Site_RemoverScreenshot '".$id."'" );
        exit( "<script>alert('Screenshot removido com sucesso.'); location = 'index.php?page=screenshot';</script>" );
    }

    function executaadicionarcontalanhouse( $nome, $conta, $senha, $endereco, $cidade, $estado, $site, $email, $descricao, $banner )
    {
        $desc = $this->codificatexto( $descricao );
        $this->query( "EXEC Site_AdicionarLanHouse '".$nome."', '".$conta."', '".$senha."', '".$endereco."', '".$cidade."', '".$estado."', '".$site."', '".$email."', '".$desc."', '".$banner."'" );
        exit( "<script>alert('Conta adicionada com sucesso.'); location = 'index.php?page=lanhouse';</script>" );
    }

    function executaalterarcontalanhouse( $id, $nome, $senha, $endereco, $cidade, $estado, $site, $email, $descricao, $banner )
    {
        $desc = $this->codificatexto( $descricao );
        $this->query( "EXEC Site_AlterarLanHouse '".$id."', '".$nome."', '".$senha."', '".$endereco."', '".$cidade."', '".$estado."', '".$site."', '".$email."', '".$desc."', '".$banner."'" );
        exit( "<script>alert('Conta alterada com sucesso.'); location = 'index.php?page=lanhouse';</script>" );
    }

    function executaremovercontalanhouse( $id )
    {
        $this->query( "EXEC Site_RemoverLanHouse '".$id."'" );
        exit( "<script>alert('Conta removida com sucesso.'); location = 'index.php?page=lanhouse';</script>" );
    }

    function executaadicionarcreditolanhouse( $conta, $credito )
    {
        $this->query( "EXEC Site_AdicionarCreditoLanHouse '".$conta."', '".$credito."'" );
        exit( "<script>alert('Credito adicionado com sucesso.'); location = 'index.php?page=lanhouse';</script>" );
    }

    function executaalterarcreditolanhouse( $conta, $credito )
    {
        $this->query( "EXEC Site_AlterarCreditoLanHouse '".$conta."', '".$credito."'" );
        exit( "<script>alert('Credito alterado com sucesso.'); location = 'index.php?page=lanhouse';</script>" );
    }

    function executaremovercreditolanhouse( $conta, $credito )
    {
        $this->query( "EXEC Site_RemoverCreditoLanHouse '".$conta."', '".$credito."'" );
        exit( "<script>alert('Credito removido com sucesso.'); location = 'index.php?page=lanhouse';</script>" );
    }

    function executaadicionaritemshop( $nome, $preco, $categoria, $subcategoria, $minifoto, $foto, $promocao, $mostrar, $level, $adicional, $skill, $luck, $opcional, $full, $level_item, $plevel, $padicional, $pskill, $pluck, $popcional )
    {
        $this->query( "EXEC Site_AdicionarItemShop '".$nome."', '".$preco."', '".$categoria."', '".$subcategoria."', '".$minifoto."', '".$foto."', '".$promocao."', '".$mostrar."', '".$level."', '".$adicional."', '".$skill."', '".$luck."', '".$opcional."', '".$full."', '".$level_item."', '".$plevel."', '".$padicional."', '".$pskill."', '".$pluck."', '".$popcional."'" );
        exit( "<script>alert('Item adicionado no shop com sucesso.'); location = 'index.php?page=shop';</script>" );
    }

    function executaalteraritemshop( $id, $nome, $preco, $categoria, $subcategoria, $minifoto, $foto, $promocao, $mostrar, $level, $adicional, $skill, $luck, $opcional, $full, $level_item, $plevel, $padicional, $pskill, $pluck, $popcional, $comprado )
    {
        $this->query( "EXEC Site_AlterarItemShop '".$id."', '".$nome."', '".$preco."', '".$categoria."', '".$subcategoria."', '".$minifoto."', '".$foto."', '".$promocao."', '".$mostrar."', '".$level."', '".$adicional."', '".$skill."', '".$luck."', '".$opcional."', '".$full."', '".$level_item."', '".$plevel."', '".$padicional."', '".$pskill."', '".$pluck."', '".$popcional."', '".$comprado."'" );
        exit( "<script>alert('Item alterado no shop com sucesso.'); location = 'index.php?page=shop';</script>" );
    }

    function executaremoveritemshop( $itemid )
    {
        $this->query( "EXEC Site_RemoverItemShop '".$itemid."'" );
        exit( "<script>alert('Item removido do shop com sucesso.'); location = 'index.php?page=shop';</script>" );
    }

    function executaadicionarnoticia( $conteudo, $titulo, $tipo, $autor )
    {
        $data = date( "d/m/Y" );
        $hora = date( "H:i" );
        $this->query( "EXEC Site_AdicionarNoticia '".$titulo."', '".$tipo."', '".$this->codificatexto( $conteudo )."', '".$autor."', '".$data."', '".$hora."'" );
        exit( "<script>alert('Noticia adicionada com sucesso'); location = '?page=novidades';</script>" );
    }

    function executaalterarnoticia( $id, $titulo, $tipo, $noticia, $autor, $data, $hora )
    {
        $this->query( "EXEC Site_AlterarNoticia '".$id."', '".$titulo."', '".$tipo."', '".$this->codificatexto( $noticia )."', '".$autor."', '".$data."', '".$hora."'" );
        exit( "<script>alert('Noticia alterada com sucesso'); location = '?page=novidades';</script>" );
    }

    function executaremovernoticia( $id )
    {
        $this->query( "EXEC Site_RemoverNoticia '".$id."'" );
        exit( "<script>alert('Noticia removida com sucesso'); location = '?page=novidades';</script>" );
    }

    function executaadicionarleilao( $titulo, $premio, $imagem, $lanceinicial, $termino, $status )
    {
        $this->query( "EXEC Site_AdicionarLeilao '".$titulo."', '".$premio."', '".$imagem."', '".$lanceinicial."', '".$termino."', '".$status."'" );
        exit( "<script>alert('Leilao adicionado com sucesso.'); location = '?page=leilao';</script>" );
    }

    function executaalterarleilao( $id, $titulo, $premio, $imagem, $lanceinicial, $termino, $status )
    {
        $this->query( "EXEC Site_AlterarLeilao '".$id."', '".$titulo."', '".$premio."', '".$imagem."', '".$lanceinicial."', '".$termino."', '".$status."'" );
        exit( "<script>alert('Leilao alterado com sucesso.'); location = '?page=leilao';</script>" );
    }

    function executaremoverleilao( $id )
    {
        $this->query( "EXEC Site_RemoverLeilao '".$id."'" );
        exit( "<script>alert('Leilao removido com sucesso.'); location = 'index.php?page=leilao';</script>" );
    }

    function executafinalizarleilao( $id )
    {
        $this->query( "EXEC Site_FinalizarLeilao '".$id."'" );
        exit( "<script>alert('Leilao finalizado com sucesso.'); location = 'index.php?page=leilao';</script>" );
    }

    function executaralterarlance( $leilaoid, $lanceid, $valor )
    {
        exit( "EXEC Site_AlterarLance '".$leilaoid."', '".$lanceid."', '".$valor."'" );
    }

    function executarremoverlance( $leilaoid, $lanceid )
    {
        exit( "EXEC Site_RemoverLance '".$leilaoid."', '".$lanceid."'" );
    }

    function executaadicionarguild( $char, $guild )
    {
        $this->query( "EXEC Site_AdicionarGuild '".$char."', '".$guild."'" );
        exit( "<script>alert('Guild criada com sucesso.'); location = 'index.php?page=guilds';</script>" );
    }

    function executaalterarguild( $guild, $noticia, $pontos, $logo )
    {
        $this->query( "EXEC Site_AlterarGuild '".$guild."', '".$noticia."', '".$pontos."', 0x".$logo."" );
        exit( "<script>alert('Guild alterada com sucesso.'); location = 'index.php?page=guilds';</script>" );
    }

    function executaremoverguild( $guild )
    {
        $this->query( "EXEC Site_RemoverGuild '".$guild."'" );
        exit( "<script>alert('Guild removida com sucesso.'); location = 'index.php?page=guilds';</script>" );
    }

}

echo "﻿";
?>
